Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xpath.internal
Class FTIndex

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.xpath.expr.Expr
              org.basex.query.xpath.expr.FTArrayExpr
                  org.basex.query.xpath.internal.FTIndex

    public final class FTIndex

extends FTArrayExpr

This expression retrieves the ids of indexed fulltext terms.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Sebastian Gath, Christian Gruen

Field Summary

Fields inherited from class org.basex.query.xpath.expr.FTArrayExpr
`fto`

Constructor Summary
`FTIndex(byte[] tok, FTOpt o)` Constructor.

Method Summary
`Bln` | `eval(XPContext ctx)` Evaluates the expression with the specified context set.
`FTArrayExpr` | `indexEquivalent(XPContext ctx, Step curr, boolean seq)` Returns an equivalent expression which accesses an index structure.
`int` | `indexSizes(XPContext ctx, Step curr, int min)` Returns the number of results if this query is evaluated by an index.
`boolean` | `more()` Checks for more results.
`FTNode` | `next(XPContext ctx)` Returns the next ftquery result.
`void` | `plan(Serializer ser)` Recursively sends the abstract syntax of this expression to the specified serializer.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.query.xpath.expr.FTArrayExpr
`comp, indexOptions, pos, usesPos, usesSize`

Methods inherited from class org.basex.query.xpath.expr.Expr
`returnedValue, sameAs`

Methods inherited from class org.basex.query.ExprInfo
`color, info, name`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FTIndex

    public FTIndex(byte[] tok,
                   FTOpt o)

  Constructor.

  Parameters:
    `tok` - index token
    `o` - FTOption for index token

Method Detail

### indexEquivalent

    public FTArrayExpr indexEquivalent(XPContext ctx,
                                       Step curr,
                                       boolean seq)

  Description copied from class: `Expr`
  Returns an equivalent expression which accesses an index structure.

  Overrides:
    `indexEquivalent` in class `FTArrayExpr`
  Parameters:
    `ctx` - root
    `curr` - location step
    `seq` - flag for sequential evaluation
  Returns:
    Equivalent index-expression or null

### eval

    public Bln eval(XPContext ctx)

  Description copied from class: `Expr`
  Evaluates the expression with the specified context set. Additionally provides a context

  Specified by:
    `eval` in class `Expr`
  Parameters:
    `ctx` - query context
  Returns:
    resulting XPathValue

### more

    public boolean more()

  Description copied from class: `FTArrayExpr`
  Checks for more results.

  Overrides:
    `more` in class `FTArrayExpr`
  Returns:
    boolean

### next

    public FTNode next(XPContext ctx)

  Description copied from class: `FTArrayExpr`
  Returns the next ftquery result.

  Overrides:
    `next` in class `FTArrayExpr`
  Parameters:
    `ctx` - current context
  Returns:
    FTNode container for the next result

### indexSizes

    public int indexSizes(XPContext ctx,
                          Step curr,
                          int min)

  Description copied from class: `Expr`
  Returns the number of results if this query is evaluated by an index. If `Integer.MAX_VALUE` is returned, no index access is possible.

  Overrides:
    `indexSizes` in class `Expr`
  Parameters:
    `ctx` - root
    `curr` - the current location step
    `min` - current minimum index hits
  Returns:
    number of expected results

### plan

    public void plan(Serializer ser)
              throws java.io.IOException

  Description copied from class: `ExprInfo`
  Recursively sends the abstract syntax of this expression to the specified serializer.

  Overrides:
    `plan` in class `FTArrayExpr`
  Parameters:
    `ser` - serializer
  Throws:
    `java.io.IOException` - exception

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `FTArrayExpr`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD